<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;

use App\Models\Admin;
use App\Models\Bank;
use Illuminate\Http\Request;
use RealRashid\SweetAlert\Facades\Alert;

class BanksController extends Controller
{
    public function index()
    {
        $rows = Bank::all();
        return view('admin.banks.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.banks.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'account_number' => 'required|max:191',
            'account_name' => 'required|max:191',
            'iban_number' => 'required|max:191',
            'name' => 'required|max:191',
        ]);
        Bank::create($request->all());
        success_toast();
        return redirect()->route('banks.index');
    }

    public function edit($id)
    {
        $row = Bank::findOrFail($id);
        return view('admin.banks.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'account_number' => 'required|max:191',
            'account_name' => 'required|max:191',
            'iban_number' => 'required|max:191',
            'name' => 'required|max:191',
        ]);
        Bank::whereId($id)->update($request->except('_token', '_method'));
        success_toast();
        return redirect()->route('banks.index');
    }

    public function destroy($id)
    {

        Bank::destroy($id);
        success_toast();
        return redirect()->back();
    }

}
