<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Category;
use Illuminate\Http\Request;

class CategoriesController extends Controller
{
    public function index()
    {
        $rows = Category::all();
        return view('admin.categories.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.categories.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'title' => 'required|max:191'
        ]);
        Category::create($request->all());
        success_toast();
        return redirect()->route('categories.index');
    }

    public function edit($id)
    {
        $row = Category::findOrFail($id);
        return view('admin.categories.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'title' => 'required|max:191'
        ]);
        Category::whereId($id)->update($request->except('_method', '_token'));
        success_toast();
        return redirect()->route('categories.index');
    }

    public function destroy($id)
    {
        Category::destroy($id);
        success_toast();
        return back();
    }
}
