<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Jobs\SendNotification;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

class NotificationsController extends Controller
{
    public function index()
    {
        return view('admin.notifications.index');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'title' => 'required',
            'description' => 'required'
        ]);

        $users = User::all();
        foreach ($users as $user) {
            $notification = (new SendNotification($user->id, $request['title'], $request['description']))->delay(Carbon::now()->addSeconds(5));
            $this->dispatch($notification);
        }

        success_toast();
        return redirect()->back();
    }
}
