<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Mail\ProductCardsAdmin;
use App\Mail\ProductCardsMail;
use App\Models\Notification;
use App\Models\PointOrder;
use App\Models\PointOrderCart;
use App\Models\PointProduct;
use App\Models\Product;
use Illuminate\Http\Request;

class PointOrdersController extends Controller
{
    public function index()
    {
        $rows = PointOrder::latest()->get();
        return view('admin.point_orders.index', compact('rows'));
    }

    public function create()
    {
        //    return view('admin.point_orders.create');
    }

    public function store(Request $request)
    {
        //
    }

    public function show($id)
    {
        $row = PointOrder::find($id);
        $carts = $row->order_carts()->get();
        return view('admin.point_orders.show', compact('row', 'carts'));
    }

    public function edit($id)
    {
        $row = PointOrder::findOrFail($id);
        return view('admin.point_orders.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'status' => 'required|in:new,finished,cancel'
        ]);
        $order = PointOrder::find($id);
        if ($order->status == 'cancel') {
            alert('خطأ', 'تم الغاء الاوردر من قبل', 'error');
            return redirect()->back();
        }

        PointOrder::whereId($id)->update($request->except('_method', '_token'));

        if ($order->status != 'cancel' && $request->status == 'cancel') {
            $carts = $order->order_carts()->get();
            foreach ($carts as $cart) {
                $product = PointProduct::find($cart->point_product_id);
                $product->count += $cart->count;
                $product->update();
            }
        }


        $notification = new Notification();
        $notification->user_id = $order->user_id;
        $notification->title = "طلب رقم $id";
        $notification->description = "تم تغير حالة الطلب الى " . status_order()
            [$request->status];
        $notification->save();

        success_toast();
        return redirect()->route('point_orders.index');
    }

    public function destroy($id)
    {
        PointOrder::destroy($id);
        success_toast();
        return back();
    }
}
