<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    public function index()
    {
        $row = Setting::first();
        return view('admin.settings.index', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'mobile' => 'required',
            'email' => 'required',
            'whatsapp' => 'required',
            'twitter' => 'required',
            'facebook' => 'required',
            'instagram' => 'required',
            'snapchat' => 'required',
            'tax' => 'required',
            'about_us_title' => 'required',
            'about_us_description' => 'required',
            'about_us_image' => 'image'
        ]);


        $settings = Setting::findOrFail($id);
        $settings->mobile = $request['mobile'];
        $settings->email = $request['email'];
        $settings->whatsapp = $request['whatsapp'];
        $settings->twitter = $request['twitter'];
        $settings->facebook = $request['facebook'];
        $settings->instagram = $request['instagram'];
        $settings->snapchat = $request['snapchat'];
        $settings->tax = $request['tax'];
        $settings->about_us_title = $request['about_us_title'];
        $settings->about_us_description = $request['about_us_description'];
        if ($request->hasFile('about_us_image')) $settings->setAboutUsImageAttribute();
        $settings->update();
        success_toast();
        return redirect()->back();
    }
}
