<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Tag;
use Illuminate\Http\Request;

class TagsController extends Controller
{
    public function index()
    {
        $rows = Tag::all();
        return view('admin.tags.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.tags.create');
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'title' => 'required|max:191'
        ]);
        Tag::create($request->all());
        success_toast();
        return redirect()->route('tags.index');
    }

    public function edit($id)
    {
        $row = Tag::findOrFail($id);
        return view('admin.tags.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'title' => 'required|max:191'
        ]);
        Tag::whereId($id)->update($request->except('_method', '_token'));
        success_toast();
        return redirect()->route('tags.index');
    }

    public function destroy($id)
    {
        Tag::destroy($id);
        success_toast();
        return back();
    }
}
