<?php

namespace App\Http\Controllers\Site;

use App\Http\Controllers\Controller;
use App\Models\Cart;
use App\Models\Order;
use App\Models\OrderCart;
use App\Models\PointCart;
use App\Models\PointOrder;
use App\Models\PointOrderCart;
use App\Models\Setting;
use App\Models\User;
use Illuminate\Http\Request;

class PointOrderController extends Controller
{

    public function pay_order_point()
    {
        $carts = \Auth::user()->point_carts()->where('status', 'cart')->get();


        foreach ($carts as $cart) {
            if ($cart->pivot->count > $cart->count) {
                alert('خطأ', 'بعض المنتجات اصبحت غير متاحه', 'error');
                return redirect()->back();
            }
        }


        $total_point_products = PointCart::where(['status' => 'cart', 'user_id' => \Auth::user()->id])->sum('total_points');
        if ($total_point_products > \Auth::user()->points) {
            alert('خطأ', 'ليس لديك نقاط كافية', 'error');
            return redirect()->back();
        }

        foreach ($carts as $cart) {

            $order = new PointOrder();
            $order->user_id = \Auth::user()->id;
            $order->total_points = $total_point_products;
            $order->status = 'new';
            $order->save();

            $order_cart = new PointOrderCart();
            $order_cart->point_cart_id = $cart->pivot->id;
            $order_cart->point_order_id = $order->id;
            $order_cart->save();

            $update_cart = PointCart::find($cart->pivot->id);
            $update_cart->status = 'order';
            $update_cart->update();

        }

        $points = \Auth::user()->points - $total_point_products;
        $user = User::find(\Auth::user()->id);
        $user->points = $points;
        $user->update();

        alert('ارسال', 'تم الدفع بالنقاط سيصلك اشعار للتأكيد', 'success');
        return redirect()->route('home');

    }
}
