<?php

namespace App\Jobs;

use App\Models\Notification;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class SendNotification implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    public $user_id;
    public $notification_title;
    public $notification_description;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($user_id, $notification_title, $notification_description)
    {
        //
        $this->user_id = $user_id;
        $this->notification_title = $notification_title;
        $this->notification_description = $notification_description;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $notification = new Notification();
        $notification['user_id'] = $this->user_id;
        $notification['title'] = $this->notification_title;
        $notification['description'] = $this->notification_description;
        $notification->save();
    }
}
