<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class WalletCharge extends Model
{

    protected $table = 'wallet_charges';
    public $timestamps = true;
    protected $fillable = array('user_id', 'bank_id', 'amount', 'transfer_image', 'transfer_number', 'transfer_date', 'transfer_name', 'status');


    public function setTransferImageAttribute()
    {
        $file = request()->file('transfer_image');
        $destinationPath = 'images/wallet_charges/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['transfer_image'] = $filename;
    }

    public function getTransferImageAttribute()
    {

        if (isset($this->attributes['transfer_image'])) {
            return asset('images/wallet_charges/') . '/' . $this->attributes['transfer_image'];
        }
        return asset('logo.png');
    }


}
