@extends('admin.layout.master')
@section('title', 'التاجر')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">التاجر</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('merchants.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم</label>
                                <input type="text" class="form-control" value="{{old('name')}}" name="name"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم">
                                @if ($errors->has('name'))
                                    <small class="text-danger">{{ $errors->first('name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكترونى</label>
                                <input type="email" class="form-control" required value="{{old('email')}}" name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكترونى">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control" required value="{{old('mobile')}}" name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">رابط التاجر</label>
                                <input type="text" class="form-control" required value="{{old('market_link')}}" name="market_link"
                                       id="exampleInputEmail1"
                                       placeholder="رابط التاجر">
                                @if ($errors->has('market_link'))
                                    <small class="text-danger">{{ $errors->first('market_link') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">المحفظة</label>
                                <input type="text" class="form-control" required value="{{old('wallet')}}" name="wallet"
                                       id="exampleInputEmail1"
                                       placeholder="المحفظة">
                                @if ($errors->has('wallet'))
                                    <small class="text-danger">{{ $errors->first('wallet') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">النقاط</label>
                                <input type="text" class="form-control" required value="{{old('points')}}" name="points"
                                       id="exampleInputEmail1"
                                       placeholder="النقاط">
                                @if ($errors->has('points'))
                                    <small class="text-danger">{{ $errors->first('points') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <h4 class="header-title mb-4">صورة</h4>
                                <input type="file" name="image" class="dropify"
                                       data-height="300"/>
                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <h4 class="header-title mb-4">صورة السجل التجارى</h4>
                                <input type="file" name="commercial_image" class="dropify"
                                    data-height="300"/>
                                @if ($errors->has('commercial_image'))
                                    <small class="text-danger">{{ $errors->first('commercial_image') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <h6><strong>الحالة</strong></h6>
                                <select name="status" class="form-control" id="">
                                    <option {{old('status') == 'active' ? 'selected' : ''}}  value="active">مفعل
                                    </option>
                                    <option {{old('status') == 'not_active' ? 'selected' : ''}} value="not_active">غير
                                        مفعل
                                    </option>
                                </select>
                                @if ($errors->has('status'))
                                    <small class="text-danger">{{ $errors->first('status') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputPassword1">كلمة المرور</label>
                                <input name="password" type="password" class="form-control"
                                       id="exampleInputPassword1" placeholder="كلمة المرور"
                                       value="{{old('password')}}" required>
                            </div>
                            @if ($errors->has('password'))
                                <small class="text-danger">{{ $errors->first('password') }}</small>
                            @endif


                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
