@extends('admin.layout.master')
@section('title', 'المنتجات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">المنتجات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('point_products.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')
                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم المنتج</label>
                                <input type="text" class="form-control" value="{{$row->title}}" name="title"
                                       id="exampleInputEmail1"
                                       placeholder="إسم المنتج">
                                @if ($errors->has('title'))
                                    <small class="text-danger">{{ $errors->first('title') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">النقاط للعملاء</label>
                                <input type="text" class="form-control" value="{{$row->client_point}}" name="client_point"
                                       id="exampleInputEmail1"
                                       placeholder="النقاط للعملاء">
                                @if ($errors->has('client_point'))
                                    <small class="text-danger">{{ $errors->first('client_point') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">النقاط للتجار</label>
                                <input type="text" class="form-control" value="{{$row->merchant_point}}" name="merchant_point"
                                       id="exampleInputEmail1"
                                       placeholder="النقاط للتجار">
                                @if ($errors->has('merchant_point'))
                                    <small class="text-danger">{{ $errors->first('merchant_point') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العدد</label>
                                <input type="text" class="form-control" value="{{$row->count}}" name="count"
                                       id="exampleInputEmail1"
                                       placeholder="النقاط للتجار">
                                @if ($errors->has('count'))
                                    <small class="text-danger">{{ $errors->first('count') }}</small>
                                @endif
                            </div>

                            <div class="form-group ">
                                <label for="exampleInputEmail1">الوصف</label>
                                <textarea name="description" style="height: 144px" class="form-control" required
                                          placeholder="الوصف">{{$row->description}}</textarea>

                                @if ($errors->has('description'))
                                    <small class="text-danger">{{ $errors->first('description') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الصور</label>
     <input type="file" multiple name="point_product_images[]">

                                @if ($errors->has('point_product_images'))
                                    <small class="text-danger">{{ $errors->first('point_product_images') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>


            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title">صور المنتج</h4>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الصورة</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($row->images as $image)
                        <tr>

                            <td>{{$i}}</td>
                            <td><img src="{{$image->image}}" width="200px"></td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$image->id}}">حذف
                                </button>

                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal{{$image->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('destroy_image',$image->id)}}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    @endforeach

                    </tbody>
                </table>
            </div>





        </div><!-- end col -->
    </div>



@stop
