@extends('admin.layout.master')
@section('title', 'المنتجات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">المنتجات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('products.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم المنتج</label>
                                <input type="text" class="form-control" value="{{old('title')}}" name="title"
                                       id="exampleInputEmail1"
                                       placeholder="إسم المنتج">
                                @if ($errors->has('title'))
                                    <small class="text-danger">{{ $errors->first('title') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">السعر للعملاء</label>
                                <input type="text" class="form-control" value="{{old('client_price')}}"
                                       name="client_price"
                                       id="exampleInputEmail1"
                                       placeholder="السعر للعملاء">
                                @if ($errors->has('client_price'))
                                    <small class="text-danger">{{ $errors->first('client_price') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">السعر للتجار</label>
                                <input type="text" class="form-control" value="{{old('merchant_price')}}"
                                       name="merchant_price"
                                       id="exampleInputEmail1"
                                       placeholder="السعر للتجار">
                                @if ($errors->has('merchant_price'))
                                    <small class="text-danger">{{ $errors->first('merchant_price') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العدد</label>
                                <input type="text" class="form-control" value="{{old('count')}}" name="count"
                                       id="exampleInputEmail1"
                                       placeholder="العدد">
                                @if ($errors->has('count'))
                                    <small class="text-danger">{{ $errors->first('count') }}</small>
                                @endif
                            </div>

                            <div class="form-group ">
                                <label for="exampleInputEmail1">الوصف</label>
                                <textarea name="description" style="height: 144px" class="form-control" required
                                          placeholder="الوصف">{{old('description')}}</textarea>

                                @if ($errors->has('description'))
                                    <small class="text-danger">{{ $errors->first('description') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الصور</label>
                                <input type="file" multiple name="product_images[]">

                                @if ($errors->has('product_images'))
                                    <small class="text-danger">{{ $errors->first('product_images') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <h6><strong>التصنيف</strong></h6>
                                <select name="category_id" class="form-control js-example-basic-single" id="">
                                    @foreach($categories as $category)
                                        <option {{old('category_id') == $category->id ? 'selected' : ''}}  value="{{$category->id}}">
                                            {{$category->title}}
                                        </option>
                                    @endforeach
                                </select>
                                @if ($errors->has('category_id'))
                                    <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <h6><strong>الوسوم</strong></h6>
                                <select name="tags[]" multiple class="form-control js-example-basic-multiple" id="">
                                    @foreach($tags as $tag)
                                        <option  value="{{$tag->id}}">
                                            {{$tag->title}}
                                        </option>
                                    @endforeach
                                </select>
                                @if ($errors->has('tags'))
                                    <small class="text-danger">{{ $errors->first('tags') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <h6><strong>عرض</strong></h6>
                                <select name="sale" class="form-control" id="">
                                    <option {{old('sale') == 'true' ? 'selected' : ''}}  value="true">نعم
                                    </option>
                                    <option {{old('sale') == 'false' ? 'selected' : ''}} value="false">لا
                                    </option>
                                </select>
                                @if ($errors->has('sale'))
                                    <small class="text-danger">{{ $errors->first('sale') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
