@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('settings.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="row">




                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="exampleInputpolicy">وصف من نحن </label>
                                        <textarea name="about_us_description" class="form-control tinymce"
                                                  placeholder="وصف من نحن ">{{$row->about_us_description}}</textarea>
                                        @if ($errors->has('about_us_description'))
                                            <small
                                                class="text-danger">{{ $errors->first('about_us_description') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputabout_us">عنوان من نحن</label>
                                        <textarea name="about_us_title" class="form-control"
                                                  placeholder="من نحن">{{$row->about_us_title}}</textarea>
                                        @if ($errors->has('about_us_title'))
                                            <small class="text-danger">{{ $errors->first('about_us_title') }}</small>
                                        @endif
                                    </div>
                                </div>



                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputpolicy">رقم الجوال</label>
                                        <input type="text" class="form-control" name="mobile" value="{{$row->mobile}}">
                                        @if ($errors->has('mobile'))
                                            <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputpolicy">البريد الألكترونى</label>
                                        <input type="email" class="form-control" name="email" value="{{$row->email}}">
                                        @if ($errors->has('email'))
                                            <small class="text-danger">{{ $errors->first('email') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputpolicy">الواتس أب</label>
                                        <input type="text" class="form-control" name="whatsapp"
                                               value="{{$row->whatsapp}}">
                                        @if ($errors->has('whatsapp'))
                                            <small class="text-danger">{{ $errors->first('whatsapp') }}</small>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputpolicy">تويتر</label>
                                        <input type="text" class="form-control" name="twitter"
                                               value="{{$row->twitter}}">
                                        @if ($errors->has('twitter'))
                                            <small class="text-danger">{{ $errors->first('twitter') }}</small>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputpolicy">فيس بوك</label>
                                        <input type="text" class="form-control" name="facebook"
                                               value="{{$row->facebook}}">
                                        @if ($errors->has('facebook'))
                                            <small class="text-danger">{{ $errors->first('facebook') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputpolicy">إنستجرام</label>
                                        <input type="text" class="form-control" name="instagram"
                                               value="{{$row->instagram}}">
                                        @if ($errors->has('instagram'))
                                            <small class="text-danger">{{ $errors->first('instagram') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputpolicy">سناب شات</label>
                                        <input type="text" class="form-control" name="snapchat"
                                               value="{{$row->snapchat}}">
                                        @if ($errors->has('snapchat'))
                                            <small class="text-danger">{{ $errors->first('snapchat') }}</small>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="exampleInputpolicy">الضريبه المضافه بالنسبه المئوية</label>
                                        <input type="number" class="form-control" name="tax"
                                               value="{{$row->tax}}">
                                        @if ($errors->has('tax'))
                                            <small class="text-danger">{{ $errors->first('tax') }}</small>
                                        @endif
                                    </div>
                                </div>


                            </div>
                            <hr>
                            <h3>صورة من نحن</h3>


                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">الصورة</h4>
                                        <input type="file" name="about_us_image" class="dropify"
                                               data-default-file="{{$row->about_us_image}}" data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('about_us_image'))
                                    <small class="text-danger">{{ $errors->first('about_us_image') }}</small>
                                @endif
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>


        </div><!-- end col -->
    </div>



@stop
