@extends('site.layout.master')

@section('content')
    <!-- start inner header -->
    <div class="inner-header">
        <h5>الدفع</h5>
        <ul>
            <li><a href="{{route('home')}}">الرئسية </a></li>
            <li>/</li>
            <li><a href="{{route('my_cart')}}">السلة </a></li>
            <li>/</li>
            <li><a>التحويل البنكى </a></li>
        </ul>
    </div>
    <!-- end inner header -->
    <!-- start pay -->
    <div class="payment">
        <div class="container">
            <div class="payment-img">
                <img class="img-fluid" src="{{asset('site/img/pay.svg')}}" alt="">
            </div>

            <div class="list-payment">
                <ul>
                    <li class=""><a href="">
                            <img src="{{asset('site/img/e4.svg')}}" alt="">
                            <h6>دفع بالفيزا</h6>
                        </a></li>
                    <li class=""><a href="">
                            <img src="{{asset('site/img/e3.svg')}}" alt="">
                            <h6>دفع بمدى</h6>
                        </a></li>
                    <li class="active"><a href="{{route('order_bank_transfer')}}">
                            <img src="{{asset('site/img/e2.svg')}}" alt="">
                            <h6>التحويل البنكى</h6>
                        </a></li>
                    <li class=""><a href="{{route('order_wallet')}}">
                            <img src="{{asset('site/img/e-w.svg')}}" alt="">
                            <h6>المحفظة الإلكترونية</h6>
                        </a></li>

                </ul>
            </div>

            <div class="payment-body">
                <form action="{{route('order_bank_transfer_post')}}" method="POST" enctype="multipart/form-data">

                    @csrf

                    <div class="row">
                        <div class="col-12 col-md-12 col-lg-6">
                            <div class="t-input">
                                <label for="">الإسم</label>
                                <input name="transfer_name" value="{{old('transfer_name')}}" type="text"
                                       placeholder="الإسم">
                                @if ($errors->has('transfer_name'))
                                    <small class="text-danger">{{ $errors->first('transfer_name') }}</small>
                                @endif
                            </div>
                            <div class="t-input">
                                <label>رقم التحويل</label>
                                <input name="transfer_number" value="{{old('transfer_number')}}" type="text"
                                       placeholder="رقم التحويل">

                                @if ($errors->has('transfer_number'))
                                    <small class="text-danger">{{ $errors->first('transfer_number') }}</small>
                                @endif
                            </div>
                            <div class="t-input">
                                <label>البنك</label>
                                <select name="bank_id" id="">
                                    @foreach($banks as $bank)
                                        <option
                                            value="{{$bank->id}}" {{$bank->id == old('bank_id') ? 'selected' : ''}}>{{$bank->account_name}}</option>
                                    @endforeach
                                </select>
                                @if ($errors->has('bank_id'))
                                    <small class="text-danger">{{ $errors->first('bank_id') }}</small>
                                @endif
                            </div>
                            <div class="t-input">
                                <label>رقم الأيبان</label>
                                <input type="text" name="transfer_iban" value="{{old('transfer_iban')}}"
                                       placeholder="رقم الأيبان">
                                @if ($errors->has('transfer_iban'))
                                    <small class="text-danger">{{ $errors->first('transfer_iban') }}</small>
                                @endif
                            </div>

                            <div class="t-input">
                                <label>تاريخ التحويل</label>
                                <input type="date" name="transfer_date" value="{{old('transfer_date')}}"
                                       placeholder="تاريخ التحويل">
                                @if ($errors->has('transfer_date'))
                                    <small class="text-danger">{{ $errors->first('transfer_date') }}</small>
                                @endif
                            </div>
                        </div>
                        <div class="col-12 col-md-12 col-lg-6">
                            <div class="file-upload">
                                <label for="dd">
                                    <img src="{{asset('site/img/a-image.svg')}}" alt="">
                                    <span>اضغط هنا لإرفاق إيصال الدفع</span>
                                </label>
                                <input name="transfer_image" type="file" id="dd">

                                @if ($errors->has('transfer_image'))
                                    <small class="text-danger">{{ $errors->first('transfer_image') }}</small>
                                @endif
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="l-center">
                                <button type="submit" class="add-to-cart">إرسال
                                </button>
                            </div>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
    <!-- end pay -->

@endsection
