<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;


Route::get('admin/login', [HomeController::class, 'login'])->name('admin.login.view');
Route::post('admin/login', [HomeController::class, 'authenticate'])->name('admin.login.post');


Route::group(['middleware' => 'admin:admin', 'prefix' => 'admin'], function () {
    Route::get('/', [HomeController::class, 'index'])->name('admin');

    Route::get('logout', [HomeController::class, 'admin_logout'])->name('admin.logout');
    Route::get('profile', [HomeController::class, 'admin_profile'])->name('admin.profile');
    Route::patch('profile/update', [HomeController::class, 'update_own_profile'])->name('update_own_profile');
    Route::delete('destroy_image/{id}', [PointProductsController::class, 'destroy_image'])->name('destroy_image');

    Route::delete('destroy_card/{id}', [CardsController::class, 'destroy_card'])->name('destroy_card');


    Route::resources([

        'admins' => AdminsController::class,
        'users' => UsersController::class,
        'merchants' => MerchantsController::class,
        'banks' => BanksController::class,
        'categories' => CategoriesController::class,
        'contactUs' => ContactUsController::class,
        'levels' => LevelsController::class,
        'products' => ProductsController::class,
        'cards' => CardsController::class,
        'point_products' => PointProductsController::class,
        'orders' => OrdersController::class,
        'point_orders' => PointOrdersController::class,
        'notifications' => NotificationsController::class,
        'offers' => OffersController::class,
        'tags' => TagsController::class,
        'settings' => SettingsController::class


    ]);


});
