<?php $__env->startSection('content'); ?>
    <!-- start inner header -->
    <div class="inner-header">
        <h5>الدفع</h5>
        <ul>
            <li><a href="<?php echo e(route('home')); ?>">الرئسية </a></li>
            <li>/</li>
            <li><a href="<?php echo e(route('my_cart')); ?>">السلة </a></li>
            <li>/</li>
            <li><a>التحويل البنكى </a></li>
        </ul>
    </div>
    <!-- end inner header -->
    <!-- start pay -->
    <div class="payment">
        <div class="container">
            <div class="payment-img">
                <img class="img-fluid" src="<?php echo e(asset('site/img/pay.svg')); ?>" alt="">
            </div>

            <div class="list-payment">
                <ul>
                    <li class=""><a href="">
                            <img src="<?php echo e(asset('site/img/e4.svg')); ?>" alt="">
                            <h6>دفع بالفيزا</h6>
                        </a></li>
                    <li class=""><a href="">
                            <img src="<?php echo e(asset('site/img/e3.svg')); ?>" alt="">
                            <h6>دفع بمدى</h6>
                        </a></li>
                    <li class="active"><a href="<?php echo e(route('order_bank_transfer')); ?>">
                            <img src="<?php echo e(asset('site/img/e2.svg')); ?>" alt="">
                            <h6>التحويل البنكى</h6>
                        </a></li>
                    <li class=""><a href="<?php echo e(route('order_wallet')); ?>">
                            <img src="<?php echo e(asset('site/img/e-w.svg')); ?>" alt="">
                            <h6>المحفظة الإلكترونية</h6>
                        </a></li>

                </ul>
            </div>

            <div class="payment-body">
                <form action="<?php echo e(route('order_bank_transfer_post')); ?>" method="POST" enctype="multipart/form-data">

                    <?php echo csrf_field(); ?>

                    <div class="row">
                        <div class="col-12 col-md-12 col-lg-6">
                            <div class="t-input">
                                <label for="">الإسم</label>
                                <input name="transfer_name" value="<?php echo e(old('transfer_name')); ?>" type="text"
                                       placeholder="الإسم">
                                <?php if($errors->has('transfer_name')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('transfer_name')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="t-input">
                                <label>رقم التحويل</label>
                                <input name="transfer_number" value="<?php echo e(old('transfer_number')); ?>" type="text"
                                       placeholder="رقم التحويل">

                                <?php if($errors->has('transfer_number')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('transfer_number')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="t-input">
                                <label>البنك</label>
                                <select name="bank_id" id="">
                                    <?php $__currentLoopData = $banks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bank): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($bank->id); ?>" <?php echo e($bank->id == old('bank_id') ? 'selected' : ''); ?>><?php echo e($bank->account_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('bank_id')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('bank_id')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="t-input">
                                <label>رقم الأيبان</label>
                                <input type="text" name="transfer_iban" value="<?php echo e(old('transfer_iban')); ?>"
                                       placeholder="رقم الأيبان">
                                <?php if($errors->has('transfer_iban')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('transfer_iban')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="t-input">
                                <label>تاريخ التحويل</label>
                                <input type="date" name="transfer_date" value="<?php echo e(old('transfer_date')); ?>"
                                       placeholder="تاريخ التحويل">
                                <?php if($errors->has('transfer_date')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('transfer_date')); ?></small>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="col-12 col-md-12 col-lg-6">
                            <div class="file-upload">
                                <label for="dd">
                                    <img src="<?php echo e(asset('site/img/a-image.svg')); ?>" alt="">
                                    <span>اضغط هنا لإرفاق إيصال الدفع</span>
                                </label>
                                <input name="transfer_image" type="file" id="dd">

                                <?php if($errors->has('transfer_image')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('transfer_image')); ?></small>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="l-center">
                                <button type="submit" class="add-to-cart">إرسال
                                </button>
                            </div>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
    <!-- end pay -->

<?php $__env->stopSection(); ?>

<?php echo $__env->make('site.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/nopecommerce/resources/views/site/payments/bank_transfer.blade.php ENDPATH**/ ?>