<?php $__env->startSection('title', 'كروت الشحن'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">كروت الشحن</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('cards.store')); ?>" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم المنتج</label>
                                <input type="text" class="form-control" value="<?php echo e(old('title')); ?>" name="title"
                                       id="exampleInputEmail1"
                                       placeholder="إسم المنتج">
                                <?php if($errors->has('title')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('title')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">السعر للعملاء</label>
                                <input type="text" class="form-control" value="<?php echo e(old('client_price')); ?>"
                                       name="client_price"
                                       id="exampleInputEmail1"
                                       placeholder="السعر للعملاء">
                                <?php if($errors->has('client_price')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('client_price')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">السعر للتجار</label>
                                <input type="text" class="form-control" value="<?php echo e(old('merchant_price')); ?>"
                                       name="merchant_price"
                                       id="exampleInputEmail1"
                                       placeholder="السعر للتجار">
                                <?php if($errors->has('merchant_price')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('merchant_price')); ?></small>
                                <?php endif; ?>
                            </div>


                            <div class="form-group ">
                                <label for="exampleInputEmail1">الوصف</label>
                                <textarea name="description" style="height: 144px" class="form-control" required
                                          placeholder="الوصف"><?php echo e(old('description')); ?></textarea>

                                <?php if($errors->has('description')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('description')); ?></small>
                                <?php endif; ?>
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">الصور</label>
                                <input type="file" multiple name="product_images[]">

                                <?php if($errors->has('product_images')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('product_images')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <h6><strong>التصنيف</strong></h6>
                                <select name="category_id" class="form-control js-example-basic-single" id="">
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option <?php echo e(old('category_id') == $category->id ? 'selected' : ''); ?>  value="<?php echo e($category->id); ?>">
                                            <?php echo e($category->title); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('category_id')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('category_id')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <h6><strong>الوسوم</strong></h6>
                                <select name="tags[]" multiple class="form-control js-example-basic-multiple" id="">
                                    <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option  value="<?php echo e($tag->id); ?>">
                                            <?php echo e($tag->title); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('tags')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('tags')); ?></small>
                                <?php endif; ?>
                            </div>


                            <div class="form-group ">
                                <label for="exampleInputEmail1">الكروت</label>
                                <textarea name="all_cards" style="height: 144px" class="form-control tinymce"
                                          placeholder="الكروت"><?php echo e(old('all_cards')); ?></textarea>

                                <?php if($errors->has('all_cards')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('all_cards')); ?></small>
                                <?php endif; ?>
                            </div>


                            <div class="form-group">
                                <h6><strong>عرض</strong></h6>
                                <select name="sale" class="form-control" id="">
                                    <option <?php echo e(old('sale') == 'true' ? 'selected' : ''); ?>  value="true">نعم
                                    </option>
                                    <option <?php echo e(old('sale') == 'false' ? 'selected' : ''); ?> value="false">لا
                                    </option>
                                </select>
                                <?php if($errors->has('sale')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('sale')); ?></small>
                                <?php endif; ?>
                            </div>

                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/nopecommerce/resources/views/admin/cards/create.blade.php ENDPATH**/ ?>