<?php $__env->startSection('content'); ?>
    <!-- start inner header -->
    <div class="inner-header">
        <h5>تفاصيل المنتجات المجانية</h5>
        <ul>
            <li><a href="<?php echo e(route('home')); ?>">الرئسية</a></li>
            <li>/</li>
            <li><a>السلة </a></li>
        </ul>
    </div>
    <!-- end inner header -->

    <!-- start cart -->
    <div class="cart-table">
        <div class="container">
            <div class="list-tap">
                <ul>
                    <li class=""><a href="<?php echo e(route('my_cart_points')); ?>">منتجات النقاط</a></li>
                    <li class="active" href="<?php echo e(route('my_cart')); ?>"><a>منتجات المشتروات</a></li>
                </ul>
            </div>
            <?php if(count($rows) > 0): ?>

                <div class="table-responsive">
                    <table class="table">
                        <thead>
                        <tr>
                            <th>المنتج</th>
                            <th>متاح ام لا</th>
                            <th>السعر</th>
                            <th>الكمية</th>
                            <th>الإجمالى</th>
                            <th>
                                <img src="<?php echo e(asset('site/img/trash.svg')); ?>" alt="">
                            </th>
                        </tr>
                        </thead>
                        <tbody>

                        <?php $__currentLoopData = $rows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                            <tr>
                                <td>
                                    <div class="prodc-t">
                                        <img src="<?php echo e($row->images[0]['image']); ?>" alt="">
                                        <span><?php echo e($row->title); ?></span>
                                    </div>
                                </td>
                                <td>
                                    <?php if($row->count >= $row->pivot->count): ?>
                                        <div class="status active">متاح</div>
                                    <?php else: ?>
                                        <div id="test<?php echo e($row->pivot->id); ?>" class="status unactive">غير متاح</div>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e($row->price); ?></td>
                                <td>
                                    <div class="pro-de">
                                        <div class="pro-de-count">
                                            <button class="cart-qty-minus"
                                                    onclick="update_point_cart(<?php echo e($row->pivot->id); ?>, 'minus')"><i
                                                    class="fas fa-minus"></i></button>
                                            <input disabled min="0" type="text" id="count_cart<?php echo e($row->pivot->id); ?>"
                                                   maxlength="<?php echo e($row->count); ?>"
                                                   value="<?php echo e($row->pivot->count); ?>" class="qty">
                                            <button class="cart-qty-plus"
                                                    onclick="update_point_cart(<?php echo e($row->pivot->id); ?>, 'plus')"><i
                                                    class="fas fa-plus"></i></button>
                                        </div>


                                    </div>
                                </td>
                                <td class="total_price<?php echo e($row->pivot->id); ?>"><?php echo e($row->pivot->total_price . ' ريال'); ?></td>
                                <td>
                                    <a href="<?php echo e(route('delete_cart', $row->pivot->id)); ?>" class="remove">
                                        <img src="<?php echo e(asset('site/img/close.svg')); ?>" alt="">
                                    </a>
                                </td>
                            </tr>

                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <div class="footer-tabel">
                    <!-- <a href="" class="update-cart">تحديث السلة</a> -->
                    <a href="<?php echo e(route('categories')); ?>" class="active-cart">مواصلة التسوق</a>
                    <a href="<?php echo e(route('my_cart')); ?>" class="active-cart">تحديث السلة</a>
                </div>
                <div class="all-sam">
                    <h6>إجمالى السلة</h6>
                    <ul>
                        <li>
                            <span>إجمالي المنتجات</span>
                            <p class="total_price_products"><?php echo e($total_price_products . ' ريال'); ?></p>
                        </li>
                        <li>
                            <span>الضريبة</span>
                            <p class="tax"><?php echo e($tax . ' %'); ?></p>
                        </li>
                        <li>
                            <span>الإجمالى</span>
                            <p class="total_price_all"><?php echo e($total_price_products_tax . ' ريال'); ?></p>
                        </li>
                    </ul>
                    <div class="l-center">
                        <a href="<?php echo e(route('order_wallet')); ?>" class="add-to-cart">الذهاب الى الدفع</a>
                    </div>
                </div>

            <?php else: ?>
                <div class="container">
                    <div class="empity">
                        <div class="item-emp">
                            <img src="<?php echo e(asset('site/img/empty.svg')); ?>" alt="">
                            <h5>سلة المنتجات فارغة</h5>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
    <!-- end cart  -->


<?php $__env->stopSection(); ?>



<?php $__env->startSection('script'); ?>

    <script>

        function update_point_cart(id, type) {
            var count_num = $("#count_cart" + id).val();

            var count_number = parseInt(count_num);

            if (type == 'plus') {
                var count = count_number + 1;
            } else {
                var count = count_number - 1;
            }

            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('update_cart_ajax')); ?>',
                data: {id: id, count: count, type: type},
                success: function (data) {

                    if (data.value == false) {
                        // $("#active_element").removeClass('active');
                        // $("#in_active_element").addClass('unactive');
                        // $(".all_count").html(data.count);
                        $("#count_cart" + id).val(data.count)
                        Swal.fire({
                            title: 'خطأ',
                            text: data.msg,
                            icon: 'error',
                            confirmButtonText: 'تاكيد'
                        });
                    } else {
                        if (data.type == 'true') {
                            $("#test" + id).removeClass('unactive');
                            $("#test" + id).addClass('active');
                            $("#test" + id).html('متاح');
                        }

                        $(".total_price" + id).html(data.total_price);
                        $(".total_price_products").html(data.total_price_products);
                        $(".tax").html(data.tax);
                        $(".total_price_all").html(data.total_price_products_tax);
                    }

                }
            });


        }

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('site.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/nopecommerce/resources/views/site/carts/cart.blade.php ENDPATH**/ ?>